## org.eclipse.jst.jsf.metadataprocessors.features
Interface IPossibleValues

All Superinterfaces:
  IMetaDataEnabledFeature

All Known Implementing Classes:
  ActionType, BooleanType, ColorType, ContentType, CSSClassType, CurrencyCodeType, DateTimePatternType, FacesConfigConverterIDFeatures, FacesConfigIdentifierFeatures, FacesConfigValidatorIDFeatures, JavaClassType, LanguageCodeType, LinkType, LocaleType, NumberPatternType, StringType, TimeZoneType

    public interface IPossibleValues

extends IMetaDataEnabledFeature

Interface for providing possible values.

Provisional API - subject to change

Field Summary
`static java.lang.String` `POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME` Default name of property in annotation file to use when supplying possible displayed values from meta-data
`static java.lang.String` `POSSIBLE_VALUES_PROP_NAME` Default name of property in annotation file to use when supplying possible values from meta-data
`static java.lang.String` `POSSIBLE_VALUES_SMALL_ICON_PROP_NAME` Default name of property in annotation file to use when supplying icon displayed values from meta-data

Method Summary
`java.util.List` `getPossibleValues()`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Field Detail

### POSSIBLE_VALUES_PROP_NAME

    static final java.lang.String POSSIBLE_VALUES_PROP_NAME

  Default name of property in annotation file to use when supplying possible values from meta-data

  See Also:
    Constant Field Values

### POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME

    static final java.lang.String POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME

  Default name of property in annotation file to use when supplying possible displayed values from meta-data

  See Also:
    Constant Field Values

### POSSIBLE_VALUES_SMALL_ICON_PROP_NAME

    static final java.lang.String POSSIBLE_VALUES_SMALL_ICON_PROP_NAME

  Default name of property in annotation file to use when supplying icon displayed values from meta-data

  See Also:
    Constant Field Values

Method Detail

### getPossibleValues

    java.util.List getPossibleValues()

  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.